#ifndef __PT1_SEND_CTRL_CMD_UTIL_H__
#define __PT1_SEND_CTRL_CMD_UTIL_H__

#include "PT1OutsideCtrlCmdDef.h"
#include "PT1CreateCtrlCmdUtil.h"
#include "StringUtil.h"

class PipeClient {
public:
	DWORD SendDefCmd(LPCWSTR lpwszEventName, LPCWSTR lpwszPipeName, CMD_STREAM* pstSend, CMD_STREAM* pstRes);
	HANDLE SendEnumCmdFirst(LPCWSTR lpwszEventName, LPCWSTR lpwszPipeName, CMD_STREAM* pstSend, CMD_STREAM* pstRes);
	DWORD SendEnumCmdNext(HANDLE hPipe, CMD_STREAM* pstSend, CMD_STREAM* pstRes);

	DWORD SendCloseExe();
	DWORD SendOpenTuner(BOOL bSate, int* piID, DWORD *pUnique);
	DWORD SendOpenTuner2(BOOL bSate, int iTunerID, int* piID, DWORD *pUnique);
	DWORD SendCloseTuner(int iID);
	DWORD SendSetCh(int iID, DWORD dwCh, DWORD dwTSID);
	DWORD SendGetSignal(int iID, DWORD* pdwCn100);
	DWORD SendSendData(int iID, BYTE* pbData, DWORD pdwSize );
};

class CMemClient {
public:
	CMemClient() {}
	DWORD Open(int iID, DWORD unique );
	DWORD GetTSBlock();

	void Close();
	HANDLE m_hEventCall;
	HANDLE m_hEventReturn;
	HANDLE m_hMapping;
	BYTE *m_buf;
};

#endif
